Home » composer使用

composer使用

安装Composer-Setup.exe时候不使用代理(http_proxy)

之前安装的时候设置过一次代理,然后那个代理已经不能使用,导致composer无法使用了。于是删除重新安装,没想到安装时候说已经设置了http_proxy,无法去掉了!

这可怎么办?搜索删除完‘composer’相关的文件也依然存在!其实http_proxy是一个环境变量,或者称用户变量。在高级系统设置里边就能看到,删除之即可。

显示当前项目依赖包

# 列出所有已经安装的包
$ composer show

# 可以通过通配符进行筛选
$ composer show monolog/*

# 显示具体某个包的信息
$ composer show monolog/monolog

dd